Skip to content

ExecUser

POST
/api/operate/namespaces/{namespace}/sites/{site}/vpm/debug/{node}/exec-user
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/debug/example/exec-user \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "command": [ "example" ], "console_user": "example", "namespace": "example", "node": "example", "site": "example" }'

Run supported exec command on node with lower privilege.

Examples of this operation.

namespace
required
string

Namespace Namespace for which the request is sent (system)

site
required
string

Site Name Name of the site.

node
required
string

Node Name Name of the node.

Media typeapplication/json
Exec Request

Request to execute CLI command on a specific node in site.

object
command
Command

Command to execute.

Array<string>
console_user
User

Name of the console user who runs this command.

string
<= 1024 characters
namespace
Namespace

Namespace for which the request is sent (system)

string
>= 6 characters <= 1024 characters
node
Node Name

Name of the node.

string
<= 1024 characters
site
Site Name

Name of the site.

string
<= 1024 characters
Examplegenerated
{
"command": [
"example"
],
"console_user": "example",
"namespace": "example",
"node": "example",
"site": "example"
}

A successful response.

Media typeapplication/json
Exec Response

Exec response.

object
output
Command output

Output of the requested command.

string
<= 1024 characters
return_code
Reture code

Return code of requested command.

integer format: int32
Examplegenerated
{
"output": "example",
"return_code": 1
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example